package com.koutra.nodejava.thymeleaf;

import java.util.Calendar;
import java.util.Date;

import org.thymeleaf.context.IContextExecutionInfo;

public class NodeJavaContentExecutionInfo implements IContextExecutionInfo {

	protected String templateName;
	protected Calendar now;
	
	public NodeJavaContentExecutionInfo(String templateName) {
		this.templateName = templateName;
		this.now = Calendar.getInstance();
		this.now.setTime(new Date());
	}
	
	@Override
	public String getTemplateName() {
		return templateName;
	}

	@Override
	public Calendar getNow() {
		return now;
	}

}
