package com.koutra.contacts;

import com.koutra.contacts.domain.ContactManager;
import com.koutra.nodejava.HttpRequest;
import com.koutra.nodejava.HttpResponse;
import com.koutra.nodejava.NodeJavaException;
import com.koutra.nodejava.StatelessHttpProcessor;

public class RemoveContactProcessor extends StatelessHttpProcessor {

	@Override
	public void process(HttpRequest request, HttpResponse response)
			throws NodeJavaException {
		String id = request.getParameter("id");
		ContactManager.get().removeContact(id);
		
		try {
			response.sendRedirect("/contacts/Home.vm");
		} catch (Exception e) {
			throw new NodeJavaException("Unable to send redirect.", e);
		}
	}

}
